
rgw - Bug #46625

rgw: md5 signatures not match when enable rgw compress for RGWBulkUpload

07/20/2020 11:16 AM - joke lee

Status: Resolved % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags: compression ceph-qa-suite:  

Backport: octopus pacific Pull request ID: 36213

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

when enable rgw compress and use swift bulkupload, and use s3cmd download file, s3cmd will say md5 signature not match

Related issues:

Copied to rgw - Backport #51702: octopus: rgw: md5 signatures not match when ... Resolved

Copied to rgw - Backport #51703: pacific: rgw: md5 signatures not match when ... Resolved

History

#1 - 07/20/2020 11:38 AM - joke lee

fix https://github.com/ceph/ceph/pull/36213

#2 - 07/23/2020 02:12 PM - Casey Bodley

- Status changed from New to Fix Under Review

- Tags set to compression

- Pull request ID set to 36213

#3 - 07/15/2021 06:20 PM - Casey Bodley

- Status changed from Fix Under Review to Pending Backport

- Backport set to octopus pacific

#4 - 07/15/2021 06:26 PM - Backport Bot

- Copied to Backport #51702: octopus: rgw: md5 signatures not match when enable rgw compress for RGWBulkUpload added

#5 - 07/15/2021 06:26 PM - Backport Bot

- Copied to Backport #51703: pacific: rgw: md5 signatures not match when enable rgw compress for RGWBulkUpload added

#6 - 08/08/2022 04:35 PM - Backport Bot

- Tags changed from compression to compression backport_processed

#7 - 09/30/2022 09:51 AM - Konstantin Shalygin

- Status changed from Pending Backport to Resolved

- % Done changed from 0 to 100

- Tags changed from compression backport_processed to compression
